/*=====================================================================
processlist.h
-------------
File created by ClassTemplate on Sun Mar 20 17:33:43 2005

Copyright (C) Nicholas Chapman

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

http://www.gnu.org/copyleft/gpl.html.
=====================================================================*/
#ifndef __PROCESSLIST_H_666_
#define __PROCESSLIST_H_666_

#include "profilergui.h"
#include "../profiler/processinfo.h"
#include "../utils/sortlist.h"

/*=====================================================================
ProcessList
-----------

=====================================================================*/
class ProcessList : public wxSortedListCtrl
{
public:
	/*=====================================================================
	ProcessList
	-----------
	
	=====================================================================*/
	ProcessList(wxWindow *parent, const wxPoint& pos,
               const wxSize& size);

	virtual ~ProcessList();

	void OnSelected(wxListEvent& event);
	void OnTimer(wxTimerEvent& event);
	void OnSort(wxListEvent& event);

	void updateProcesses();
	void updateTimes();
	void updateSorting();
	void sortByName();
	void sortByCpuUsage();

	const ProcessInfo* getSelectedProcess();
private:
    DECLARE_EVENT_TABLE()

	enum {
		COL_NAME,
		COL_CPUUSAGE,
		NUM_COLUMNS
	};

	std::vector<ProcessInfo> processes;

	int selected_process;
	wxTimer timer;
	wxLongLong lastTime;
	int sort_column;
	SortType sort_dir;

	void fillList();
};


enum
{
    PROCESS_LIST = 4000,
    PROCESS_LIST_TIMER = 4001
};


#endif //__PROCESSLIST_H_666_




